Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.oci.xa
Class XAConnection

    java.lang.Object
      |
      +--weblogic.jdbcbase.oci.Connection
            |
            +--weblogic.jdbc.oci.Connection
                  |
                  +--weblogic.jdbc.oci.xa.XAConnection

public class XAConnection
extends Connection
implements javax.sql.XAConnection

Each XA connection corresponds to a database connection. It has an OCI JDBC connection, to which it delegates JDBC 2.0 API calls.

Author:
  Copyright (c) 1998-2000 by BEA WebXpress, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.oci.Connection
`allowmixedmetadata, driver, insPieceLength, lobs, meta, ociconn, selPieceLength, url, warnings`

Method Summary
`void` | `addConnectionEventListener(javax.sql.ConnectionEventListener listener)`
`void` | `close()`
`java.sql.Connection` | `getConnection()`
`javax.transaction.xa.XAResource` | `getXAResource()`
`void` | `removeConnectionEventListener(javax.sql.ConnectionEventListener listener)`

Methods inherited from class weblogic.jdbc.oci.Connection
`waitOnResources`

Methods inherited from class weblogic.jdbcbase.oci.Connection
`addLob, autocommitState, checkIfClosed, closeLob, connectionName, connectionState, datewidth, datewidth, driverType, eventState, eventTopicRoot, getAllConnections, getDescription, getName, getNumberOfConnections, getNumberOfStatements, isolationLevel, lastSQL, prefetchSize, resourcesQueuing, setLockArrayFetch, setLockBindCursorByPosition, setLockBindSelectItem, setLockBindVariableByPosition, setLockCancel, setLockClose, setLockDescribe, setLockExec, setLockExecAndFetch, setLockFetch, setLockOopt, setLockOpen, setLockParse, setOciVerbose, sharedLibVersion, statementCount, supportsPrefetch, weblogicVersion`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()
                                                  throws java.sql.SQLException

  Specified by:
    getXAResource in interface javax.sql.XAConnection

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

### close

    public void close()
               throws java.sql.SQLException

  Overrides:
    close in class weblogic.jdbcbase.oci.Connection

### addConnectionEventListener

    public void addConnectionEventListener(javax.sql.ConnectionEventListener listener)

### removeConnectionEventListener

    public void removeConnectionEventListener(javax.sql.ConnectionEventListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD